AC_DEFUN([PCAP_CHECK],
[
  PCAP_CFLAGS=""
  PCAP_LIBS="-lpcap"

  OLD_CFLAGS=$CFLAGS
  OLD_LIBS=$LIBS
  CFLAGS="$CFLAGS $PCAP_CFLAGS"
  LIBS="$LIBS $PCAP_LIBS"

  AC_CHECK_LIB([pcap], [pcap_open_live],, PCAP_ERROR)
  AC_MSG_CHECKING([for the pcap library])
  AC_TRY_LINK(
  [
    #include <pcap.h>
  ],
  [
    pcap_t *p;
    p = pcap_open_live("", 0, 0, 0, 0);
  ],
  [
    AC_MSG_RESULT([yes])
    AC_SUBST(PCAP_CFLAGS)
    AC_SUBST(PCAP_LIBS)
  ],
  [
    AC_MSG_RESULT([no])
    PCAP_ERROR
  ])

  CFLAGS=$OLD_CFLAGS
  LIBS=$OLD_LIBS
])

AC_DEFUN([PCAP_ERROR],
[
  AC_MSG_ERROR([$PACKAGE requires the pcap library development package
])
])
