class Capture < ActiveRecord::Base
  # Get a packet capture's data
  # @param request id The ID of the packet capture request
  # @return A string containing the packet capture
  def self.get(request_id)
    r = find(:all, :conditions => "capture_id=#{request_id}",
             :order => 'sequence ASC')
    # get all the packets into one long string..
    capdata = ''
    r.each do |i| capdata << i.data end
    return capdata
  end

  # Get the number of packets captured for a capture request
  # @param request_id The ID of the packet capture request
  # @return The number of packets captured so far for this request
  def self.get_size(request_id)
    count_by_sql %{SELECT COUNT(*) FROM captures
                     WHERE capture_id=#{request_id}}
  end
end
