class CreateCaptureRequests < ActiveRecord::Migration
  def self.up
    execute %{CREATE TABLE capture_requests
              (id              INT UNSIGNED NOT NULL AUTO_INCREMENT,
               tree_id         INT UNSIGNED NOT NULL,
               node_id         INT UNSIGNED NOT NULL,
               PRIMARY KEY(id),
               FOREIGN KEY (tree_id) REFERENCES trees(id) ON DELETE CASCADE)
              ENGINE=InnoDB}

  end

  def self.down
    execute 'DROP TABLE capture_requests'
  end
end
