class AddLabels < ActiveRecord::Migration
  def self.up
    execute %{CREATE TABLE labels
              (id                 INT UNSIGNED NOT NULL AUTO_INCREMENT,
               tree_id            INT UNSIGNED NOT NULL,
               name               VARCHAR(100) NOT NULL,
               color              CHAR(7) NOT NULL,
               

               PRIMARY KEY (id),
               UNIQUE KEY (name),
               FOREIGN KEY (tree_id) REFERENCES trees(id) ON DELETE CASCADE)
              ENGINE=InnoDB}
  end

  def self.down
    execute 'DROP TABLE labels'
  end
end
