class InsertColors < ActiveRecord::Migration
  def self.up
    execute "INSERT INTO colors SET label='ether', ring=0, color='#BFBFBF'"
    execute "INSERT INTO colors SET label='ether_mpls_uni', ring=0, color='#87CEF9'"
    execute "INSERT INTO colors SET label='ether_mpls_multi', ring=0, color='#8470FF'"
    execute "INSERT INTO colors SET label='ether_pppoe_disc', ring=0, color='#DDB787'"
    execute "INSERT INTO colors SET label='ether_pppoe_ss', ring=0, color='#8C4414'"
    execute "INSERT INTO colors SET label='ether_exception_1', ring=0, color='#FFD800'"
    execute "INSERT INTO colors SET label='ether_loop', ring=0, color='#008C00'"
    execute "INSERT INTO colors SET label='ether_arp', ring=0, color='#7F007F'"
    execute "INSERT INTO colors SET label='ether_rarp', ring=0, color='#C61484'"
    execute "INSERT INTO colors SET label='ether_ethertalk', ring=0, color='#F9F9D1'"
    execute "INSERT INTO colors SET label='ether_aarp', ring=0, color='#DDA0DD'"
    execute "INSERT INTO colors SET label='ether_802_1q', ring=0, color='#00FF00'"
    execute "INSERT INTO colors SET label='ether_ipx', ring=0, color='#00008C'"
    execute "INSERT INTO colors SET label='ether_novell', ring=0, color='#FFA500'"
    execute "INSERT INTO colors SET label='ether_ipv6', ring=0, color='#FFFF00'"
    execute "INSERT INTO colors SET label='ether_ataoe', ring=0, color='#7F7F00'"
    execute "INSERT INTO colors SET label='ether_ether_old', ring=0, color='#00FFFF'"
    execute "INSERT INTO colors SET label='ether_ipv4', ring=1, color='#FF0000'"
    execute "INSERT INTO colors SET label='ether_ipv4_icmp', ring=1, color='#00F999'"
    execute "INSERT INTO colors SET label='ether_ipv4_igmp', ring=1, color='#FF5100'"
    execute "INSERT INTO colors SET label='ether_ipv4_eigrp', ring=1, color='#8C0000'"
    execute "INSERT INTO colors SET label='ether_ipv4_udp', ring=3, color='#00FFFF'"
    execute "INSERT INTO colors SET label='ether_ipv4_udp_hsrp', ring=3, color='#FF1393'"
    execute "INSERT INTO colors SET label='ether_ipv4_udp_who', ring=3, color='#8470FF'"
    execute "INSERT INTO colors SET label='ether_ipv4_udp_srvloc', ring=3, color='#008C00'"
    execute "INSERT INTO colors SET label='ether_ipv4_udp_snmp', ring=3, color='#00F999'"
    execute "INSERT INTO colors SET label='ether_ipv4_udp_rip_v1', ring=3, color='#FF68B3'"
    execute "INSERT INTO colors SET label='ether_ipv4_udp_nbns', ring=3, color='#FFB5C1'"
    execute "INSERT INTO colors SET label='ether_ipv4_udp_nbdgm', ring=3, color='#FFA07A'"
    execute "INSERT INTO colors SET label='ether_ipv4_udp_dce_rpc', ring=3, color='#FF0000'"
    execute "INSERT INTO colors SET label='ether_ipv4_udp_ms_sql', ring=3, color='#FF5100'"
    execute "INSERT INTO colors SET label='ether_ipv4_udp_dns', ring=3, color='#E0FFFF'"
    execute "INSERT INTO colors SET label='ether_ipv4_udp_ntp', ring=3, color='#7F7F00'"
    execute "INSERT INTO colors SET label='ether_ipv4_udp_dhcp', ring=3, color='#DDA0DD'"
    execute "INSERT INTO colors SET label='ether_ipv4_udp_mdns', ring=3, color='#8C0000'"
    execute "INSERT INTO colors SET label='ether_ipv4_udp_rtp', ring=3, color='#FFA500'"
    execute "INSERT INTO colors SET label='ether_ipv4_udp_cups', ring=3, color='#008282'"
    execute "INSERT INTO colors SET label='ether_ipv4_udp_xdmcp', ring=3, color='#0000FF'"
    execute "INSERT INTO colors SET label='ether_ipv4_udp_torrent', ring=3, color='#00008C'"
    execute "INSERT INTO colors SET label='ether_ipv4_udp_ganglia', ring=3, color='#EFE58C'"
    execute "INSERT INTO colors SET label='ether_ipv4_udp_ipsec', ring=3, color='#87CEF9'"
    execute "INSERT INTO colors SET label='ether_ipv4_tcp', ring=2, color='#00FF00'"
    execute "INSERT INTO colors SET label='ether_ipv4_tcp_http', ring=2, color='#008C00'"
    execute "INSERT INTO colors SET label='ether_ipv4_tcp_https', ring=2, color='#0000FF'"
    execute "INSERT INTO colors SET label='ether_ipv4_tcp_telnet', ring=2, color='#DDA0DD'"
    execute "INSERT INTO colors SET label='ether_ipv4_tcp_imap', ring=2, color='#00F999'"
    execute "INSERT INTO colors SET label='ether_ipv4_tcp_imaps', ring=2, color='#8470FF'"
    execute "INSERT INTO colors SET label='ether_ipv4_tcp_smtp', ring=2, color='#7F007F'"
    execute "INSERT INTO colors SET label='ether_ipv4_tcp_ipp', ring=2, color='#008282'"
    execute "INSERT INTO colors SET label='ether_ipv4_tcp_nbss', ring=2, color='#FFB5C1'"
    execute "INSERT INTO colors SET label='ether_ipv4_tcp_ssh', ring=2, color='#00008C'"
    execute "INSERT INTO colors SET label='ether_ipv4_tcp_pop', ring=2, color='#7F7F00'"
    execute "INSERT INTO colors SET label='ether_ipv4_tcp_pops', ring=2, color='#87CEF9'"
    execute "INSERT INTO colors SET label='ether_ipv4_tcp_msnms', ring=2, color='#8C0000'"
    execute "INSERT INTO colors SET label='ether_ipv4_tcp_smb', ring=2, color='#FFA07A'"
    execute "INSERT INTO colors SET label='ether_ipv4_tcp_dns', ring=2, color='#E0FFFF'"
    execute "INSERT INTO colors SET label='ether_ipv4_tcp_ftp', ring=2, color='#005E00'"
    execute "INSERT INTO colors SET label='ether_ipv4_tcp_rtsp', ring=2, color='#DDB787'"
    execute "INSERT INTO colors SET label='ether_ipv4_tcp_irc', ring=2, color='#FF68B3'"
    execute "INSERT INTO colors SET label='ether_ipv4_tcp_mysql', ring=2, color='#FF5100'"
    execute "INSERT INTO colors SET label='ether_ipv4_tcp_nntp', ring=2, color='#FF1393'"
    execute "INSERT INTO colors SET label='ether_ipv4_tcp_dce_rpc', ring=2, color='#FF0000'"
    execute "INSERT INTO colors SET label='ether_ipv4_tcp_xmpp', ring=2, color='#F9F9D1'"
    execute "INSERT INTO colors SET label='ether_ipv4_tcp_no_payload', ring=2, color='#FFD800'"
    execute "INSERT INTO colors SET label='ether_ipv4_tcp_tcp_sophos', ring=2, color='#EFE58C'"
    execute "INSERT INTO colors SET label='ether_ipv4_tcp_ms_streaming', ring=2, color='#FFA500'"
    execute "INSERT INTO colors SET label='ether_ipv4_tcp_urd', ring=2, color='#FFFF00'"
    execute "INSERT INTO colors SET label='ether_ipv4_tcp_cvs', ring=2, color='#00FF00'"
    execute "INSERT INTO colors SET label='ether_ipv4_tcp_ms_wbt', ring=2, color='#00FFFF'"
  end

  def self.down
    execute "DELETE FROM colors"
  end
end
