class CreateNodePngrams < ActiveRecord::Migration
  def self.up
    execute %{CREATE TABLE node_pngrams
              (id                INT UNSIGNED NOT NULL AUTO_INCREMENT,
               internal_node_id  INT UNSIGNED NOT NULL,
               pngram_id         INT UNSIGNED NOT NULL,
               PRIMARY KEY(id),
               FOREIGN KEY (pngram_id) REFERENCES pngrams(id)
                 ON DELETE RESTRICT,
               FOREIGN KEY (internal_node_id) REFERENCES internal_nodes(id)
                 ON DELETE CASCADE)
              ENGINE=InnoDB}
  end

  def self.down
    execute 'DROP TABLE node_pngrams'
  end
end
